import 'es6-shim';
export interface Fetcher {
    /**
     * Deserializa un JSON que un servicio devuelve y establece el objeto obtenido
     * en la propiedad "datos" de la respuesta.
     */
    fetchJson(url: any, init?: any): Promise<any>;
    /**
     * Devuelve una promesa que establece el texto que devuelve un servicio en la
     *  propiedad "datos" de la respuesta.
     */
    fetchText(url: any, init?: any): Promise<any>;
    /**
     * Devuelve una promesa que establece el blob que devuelve un servicio en la
     *  propiedad "datos" de la respuesta.
     */
    fetchBlob(url: any, init?: any): Promise<any>;
    /**
     * Devuelve una promesa con la respuesta correcta correcta de un servicio. Rechaza
     * la promesa si no se puede obtener una respuesta o esta es errónea (!response.ok).
     */
    fetchResponseOk(url: any, init?: any): Promise<any>;
}
